#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_width1  2

extern int Length = 9;

double Buffer[];
double Positive[];
double Negative[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init() 
{

IndicatorBuffers(3);

SetIndexBuffer(0,Buffer);
SetIndexBuffer(1,Positive);
SetIndexBuffer(2,Negative);

SetIndexStyle(0,DRAW_LINE);
SetIndexStyle(1,DRAW_NONE);
SetIndexStyle(2,DRAW_NONE);

SetLevelValue(0,0);
SetLevelStyle(STYLE_DOT,0,Blue);

return(0);
}

//+------------------------------------------------------------------+
//| iteration function |
//+------------------------------------------------------------------+
int start()

{

double Bull, Bear;

int i = 0;

int counted_bars = IndicatorCounted();

int limit = Bars - counted_bars;


/////////////////////////////////////////////////////////////////

// Calculation Code Here ////////////////////////////////////////

for ( i = 0; i < Bars; i++ )

{

Positive[i] = 100 * ((( 3*Close[i] ) - (2*getLow(i, Length)) - Open[i] ) / Close[i] ) ;

Negative[i] = 100 * (( Open[i] + (2*getHigh(i, Length)) - (3*Close[i]) ) / Close[i] )  ;

                                  
}

/////////////////////////////////////////////////////////////////

for ( i = 0; i < limit; i++ )

{

Bull = iMAOnArray(Positive, 0, Length * 5, 0, MODE_EMA, i);

Bear = iMAOnArray(Negative, 0, Length * 5, 0, MODE_EMA, i);

Buffer[i] = Bull - Bear ;

}

return(0);

}

//+------------------------------------------------------------------+
double getLow(int from, int period) 

{ double low = 9999999999;

  for (int i = from; i <= from + period; i++)

 {
  if (low > Low[i]) 

  {
  low = Low[i];
  }

 }
return (low);
}

//+------------------------------------------------------------------+
double getHigh(int from, int period) 

{ double high = 0;

  for (int i = from; i <= from + period; i++)

 { 
  if (high < High[i]) 

  {
  high = High[i];
  }

 }
return (high);
}
//+------------------------------------------------------------------+